首页 | 新闻 | 交流 | 问吧 | 文档 | 手册 | 下载 | 博客

关于用jquery检测ie6的方法

作者:  时间: 2011-05-27
jquery判断ie6的方法:
if ($.browser.msie && ($.browser.version == "6.0") && !$.support.style) {
                        alert("我是ie6!");
                    }
这个方法网上早就有了,今天贴出来主要是我在用的过程中遇到了一个问题,而且我google了半天也没发现有人出现和我类似的问题,可能是我太小白了吧,不过还是贴出来供大家参考下,现在说下问题的所在:
我之前做项目加载的库文件是jquery-1.4.2.min.js,没有任何问题,昨天做项目的时候用的是jquery-1.2.6.min.js的库文件(因为是拿同事之前现成的模板,故没有更换jq的库文件),ie6里却始终报错:“$.support.style 为空或不是对象”,一直以为是代码写错了,还上网确认过,发现不是代码的问题,最后我猜测是我的ie6的浏览器有问题(本人用的是ie collection,只安装了ie6),然后找了个在网吧上网的朋友帮我测试(众所周知网吧里大部分用的就是ie6),结果依然报错,无奈我开始怀疑库文件有问题,我测试了jquery-1.3.2.min.js和jquery-1.4.2.min.js两个版本(仅仅只测了这两个),都没再报错。
总结:jquery-1.2.6.min.js中的方法可能存在问题,故不支持上述的ie6判断方法(至于具体的原因本人没有找当相关解释),如果有童鞋遇到类似的问题,请更换库文件进行测试。